import express from 'express';
const router = express.Router();

router.post('/logout', (req, res) => {
    res.clearCookie('token', {
        httpOnly: true,
        secure: process.env.NODE_ENV1 === 'production',
        sameSite: 'strict',
    });
    res.json({ message: 'Logged out successfully' });
});

export default router;
