import express from 'express';
import db from './db.js';

const router = express.Router();

router.put('/toggle/:id', async (req, res) => {
    const { id } = req.params;
    const { is_visible } = req.body;
  
    try {
      await db.query('UPDATE ads SET is_visible = ? WHERE id = ?', [is_visible, id]);
      res.json({ message: 'تم تحديث حالة الإظهار بنجاح' });
    } catch (error) {
      res.status(500).json({ message: 'حدث خطأ أثناء تحديث حالة الإظهار.' });
    }
  });
  

export default router;